package com.tofly.ghrq_route.module.checkVersion.controller;

import android.content.Context;

import com.tofly.ghrq_route.module.checkVersion.service.IVersion;
import com.tofly.ghrq_route.module.checkVersion.service.VersionImp;

/**
 * Created by lihualong on 2017/6/16.
 */

public class VersionContr {
    private Context mContext;
    private IVersion iVersion;
    public VersionContr(Context context) {
        this.mContext = context;
        iVersion = new VersionImp(mContext);
    }

    public void getNewVersion(Context context, String versionSub, ICheckVerCallback iCheckVerCallback){
        iVersion.getVersion(context, versionSub, iCheckVerCallback);
    }

    public void getAppInfo(Context context, String versionSub, ICheckVerCallback iCheckVerCallback){
        iVersion.getAppInfo(context, versionSub, iCheckVerCallback);
    }
}
